#!/usr/bin/ruby
# $Id: test_currents_geogroups.rb 8197 2023-12-24 14:21:18Z flaterco $
# 2021-12-30 16:08
# Confirm that currents geogroups are still useless.

require 'json'

# This file no change
unless File.exist?("geogroups-currents.json")
  system "wget --progress=dot -O geogroups-currents.json https://api.tidesandcurrents.noaa.gov/mdapi/prod/webapi/geogroups.json?type=CURRENTS"
end

# Skip geogroups-currents-urls.txt, just retrieve one that ought to have
# stations in it.
# This retrieves nothing but the group record, so useless.
unless File.exist?("Group454Test.json")
  system "wget -O Group454Test.json https://api.tidesandcurrents.noaa.gov/mdapi/prod/webapi/geogroups/454/children.json"
end
